> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order history for broker users



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /broker/orders
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /broker/orders:
    get:
      tags:
        - Broker
      summary: Get order history for broker users
      operationId: BrokerController_getOrders
      parameters:
        - name: X-Broker-Key
          in: header
          description: Broker API key
          required: true
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
          description: Opaque pagination cursor returned as cursor from the previous page
        - name: exchange
          required: false
          in: query
          schema:
            type: string
            enum:
              - aster
              - binance
              - bybit
              - extended
              - gate
              - hyperliquid
              - lighter
              - mexc
              - ondo
              - robinhood
          description: Filter by exchange
        - name: from
          required: false
          in: query
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
          description: Start of time range (Unix milliseconds, inclusive)
        - name: limit
          required: false
          in: query
          schema:
            default: 100
            type: integer
            minimum: 1
            maximum: 1000
          description: Number of items to return per page (1-1000)
        - name: to
          required: false
          in: query
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
          description: End of time range (Unix milliseconds, exclusive)
        - name: userId
          required: false
          in: query
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Filter by user id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBrokerOrdersDTO'
components:
  schemas:
    GetBrokerOrdersDTO:
      type: object
      properties:
        cursor:
          description: Pass as cursor to fetch the next page. Null when no more pages exist
          type:
            - string
            - 'null'
        items:
          type: array
          items:
            $ref: '#/components/schemas/BrokerOrderDto'
      required:
        - cursor
        - items
      title: BrokerOrders
    BrokerOrderDto:
      type: object
      properties:
        baseSymbol:
          type: string
          description: Base asset symbol
          example: ETH
        brokerCode:
          type: string
          description: Broker slug
        clientOrderId:
          description: Client order identifier
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Perpetual exchange
        orderId:
          type: string
          description: Exchange order identifier
        positionSide:
          type: string
          enum:
            - both
            - long
            - short
          description: 'Position side: both, long, or short'
        price:
          description: Limit price in quote currency, or null for market orders
          example: '1850.50'
          type:
            - string
            - 'null'
        quoteSymbol:
          type: string
          description: Quote asset symbol
          example: USDC
        reduceOnly:
          description: Whether the order only reduces an existing position
          type:
            - boolean
            - 'null'
        side:
          type: string
          enum:
            - buy
            - sell
          description: 'Order side: buy or sell'
        size:
          type: string
          description: Order size in base asset
          example: '0.001'
        status:
          type: string
          enum:
            - canceled
            - created
            - error
            - executed
            - partiallyFilled
          description: Order status
        timeInForce:
          anyOf:
            - type: string
              enum:
                - gtc
                - ioc
                - fok
                - alo
            - type: 'null'
          description: >-
            Time in force policy of the order. gtc — Good-Till-Cancel, ioc —
            Immediate-Or-Cancel, fok — Fill-Or-Kill, alo — Add Liquidity Only.
            Null for market, trigger, or liquidation orders where TIF is not
            applicable.
          example: gtc
        triggerPrice:
          description: Trigger price for stop-loss / take-profit orders
          example: '1800.00'
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - limit
            - liquidation
            - market
            - other
            - stopLoss
            - stopLossLimit
            - takeProfit
            - takeProfitLimit
          description: Order type
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
        userId:
          type: string
          description: User wallet address
      required:
        - baseSymbol
        - brokerCode
        - clientOrderId
        - createdAt
        - exchange
        - orderId
        - positionSide
        - price
        - quoteSymbol
        - reduceOnly
        - side
        - size
        - status
        - timeInForce
        - triggerPrice
        - type
        - updatedAt
        - userId
      title: BrokerOrder

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.